Assignee:
Target version: 2.4.0-2821 (rev. org.gvsig.desktop-2.0.187) 
Has patch: Hito:
Description

"Configure layout using current grid" dialog of Map Sheets returns a ClassCastException:

INFO AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.mapsheets.app.mainplugin:org.gvsig.mapsheets.extension.MapSheetsManipulationExtension.execute('mapsheets-map-configuration')
ERROR AWT-EventQueue-0 org.gvsig.andami.messages.Notific
ap-configuration')
ERROR AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.ClassCastException:
org.gvsig.fmap.geom.jts.primitive.surface.polygon.Polygon2D cannot be cast to org.gvsig.mapsheets.geom.RotatedEnvelope
java.lang.ClassCastException: org.gvsig.fmap.geom.jts.primitive.surface.polygon.Polygon2D cannot be cast to
org.gvsig.mapsheets.geom.RotatedEnvelope
    at org.gvsig.mapsheets.grid.MapSheetsGrid.getGeometries(MapSheetsGrid.java:436)
    at org.gvsig.mapsheets.gui.MapSheetSelectionDialog.actionPerformed(MapSheetSelectionDialog.java:322)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)

History
#1 - 06/07/2017 11:02 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

#2 - 06/07/2017 11:09 AM - Francisco Díaz Carsí
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2821 (rev. org.gvsig.desktop-2.0.187) 

#3 - 06/14/2017 05:09 PM - Álvaro Anguix
- Status changed from Fixed to Closed
